Package wx :: Package lib :: Module inspection :: Class InspectionFrame

[frames | no frames]

## Type InspectionFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                InspectionFrame

This class is the frame that holds the wxPython inspection tools. The toolbar and AUI splitters/floating panes are also managed here. The contents of the tool windows are handled by other classes.

Method Summary
| `__init__(self, wnd, locals, config, app, title, *args, **kw)`
| `LoadSettings(self, config)`
| `MakeToolBar(self)`
| `OnCaptureLost(self, evt)`
| `OnClose(self, evt)`
| `OnFindWidget(self, evt)`
| `OnLeftDown(self, evt)`
| `OnRefreshTree(self, evt)`
| `OnShowSizers(self, evt)`
| `OnShowSizersUI(self, evt)`
| `OnToggleFilling(self, evt)`
| `OnToggleFillingUI(self, evt)`
| `RefreshTree(self)`
| `SaveSettings(self, config)`
| `SetObj(self, obj)`
| `UpdateInfo(self)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:22 2007 | http://epydoc.sf.net